View all methods

repoGroups.delete

Delete a repo group by ID or reference_id.

The repoGroups API endpoints need to be manually enabled on your DX account. Reach out to your DX account manager to get started.

Facts

Method POST https://yourinstance.getdx.net/api/repoGroups.delete

Arguments

Name Type Description
token Token Auth token passed as an HTTP header.
id Text Generated unique ID for the repo group.
reference_id Text The unique reference ID for the repo group.

Note: You must provide either id or reference_id to identify the repo group to delete.

Usage info

Deleting a repo group will remove the group and unassociate all repositories from it. The repositories themselves are not deleted, only their association with the repo group.

Example request

This is a typical request:

curl -X POST https://yourinstance.getdx.net/api/repoGroups.delete \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx' \
  -H 'Content-Type: application/json' \
  --data '{
    "id": "123"
  }'

Or by reference_id:

curl -X POST https://yourinstance.getdx.net/api/repoGroups.delete \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx' \
  -H 'Content-Type: application/json' \
  --data '{
    "reference_id": "frontend-team"
  }'

Example response

{
  "ok": true,
  "data": {
    "id": 123,
    "reference_id": "frontend-team",
    "name": "Frontend Team",
    "parent_id": 456,
    "row_created_at": "2024-01-01T10:00:00Z",
    "row_updated_at": "2024-01-01T10:00:00Z",
    "repos": []
  }
}